diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/vht/vht-phy.cc ns-3.43/src/wifi/model/vht/vht-phy.cc
--- ns-3.42/src/wifi/model/vht/vht-phy.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/vht/vht-phy.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Orange Labs
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Rediet <getachew.redieteab@orange.com>
  *          Sébastien Deronne <sebastien.deronne@gmail.com> (for logic ported from wifi-phy)
@@ -76,10 +65,12 @@
     { std::make_tuple (160, 7, 9), 12 }, // instead of 10
 };
 
+// clang-format on
+
 /**
- * \brief map a given channel list type to the corresponding scaling factor in dBm
+ * \brief map a given channel list type to the corresponding scaling factor
  */
-const std::map<WifiChannelListType, double> channelTypeToScalingFactorDbm {
+const std::map<WifiChannelListType, dBm_u> channelTypeToScalingFactor{
     {WIFI_CHANLIST_PRIMARY, 0.0},
     {WIFI_CHANLIST_SECONDARY, 0.0},
     {WIFI_CHANLIST_SECONDARY40, 3.0},
@@ -89,14 +80,12 @@
 /**
  * \brief map a given secondary channel width to its channel list type
  */
-const std::map<uint16_t, WifiChannelListType> secondaryChannels {
+const std::map<MHz_u, WifiChannelListType> secondaryChannels{
     {20, WIFI_CHANLIST_SECONDARY},
     {40, WIFI_CHANLIST_SECONDARY40},
     {80, WIFI_CHANLIST_SECONDARY80},
 };
 
-// clang-format on
-
 VhtPhy::VhtPhy(bool buildModeList /* = true */)
     : HtPhy(1, false) // don't add HT modes to list
 {
@@ -234,7 +223,7 @@
      * 21-30 to 21-61 of IEEE 802.11-2016.
      * These values are the last values before changing encoders.
      */
-    double maxRatePerCoder = (txVector.GetGuardInterval() == 800) ? 540e6 : 600e6;
+    double maxRatePerCoder = (txVector.GetGuardInterval().GetNanoSeconds() == 800) ? 540e6 : 600e6;
     uint8_t nes = ceil(payloadMode.GetDataRate(txVector) / maxRatePerCoder);
 
     // Handle exceptions to the rule
@@ -430,7 +419,7 @@
 }
 
 uint64_t
-VhtPhy::GetPhyRate(uint8_t mcsValue, uint16_t channelWidth, uint16_t guardInterval, uint8_t nss)
+VhtPhy::GetPhyRate(uint8_t mcsValue, MHz_u channelWidth, Time guardInterval, uint8_t nss)
 {
     WifiCodeRate codeRate = GetCodeRate(mcsValue);
     uint64_t dataRate = GetDataRate(mcsValue, channelWidth, guardInterval, nss);
@@ -456,14 +445,15 @@
 }
 
 uint64_t
-VhtPhy::GetDataRate(uint8_t mcsValue, uint16_t channelWidth, uint16_t guardInterval, uint8_t nss)
+VhtPhy::GetDataRate(uint8_t mcsValue, MHz_u channelWidth, Time guardInterval, uint8_t nss)
 {
-    NS_ASSERT(guardInterval == 800 || guardInterval == 400);
+    [[maybe_unused]] const auto gi = guardInterval.GetNanoSeconds();
+    NS_ASSERT((gi == 800) || (gi == 400));
     NS_ASSERT(nss <= 8);
     NS_ASSERT_MSG(IsCombinationAllowed(mcsValue, channelWidth, nss),
                   "VHT MCS " << +mcsValue << " forbidden at " << channelWidth << " MHz when NSS is "
                              << +nss);
-    return HtPhy::CalculateDataRate(GetSymbolDuration(NanoSeconds(guardInterval)),
+    return HtPhy::CalculateDataRate(GetSymbolDuration(guardInterval),
                                     GetUsableSubcarriers(channelWidth),
                                     static_cast<uint16_t>(log2(GetConstellationSize(mcsValue))),
                                     HtPhy::GetCodeRatio(GetCodeRate(mcsValue)),
@@ -471,9 +461,9 @@
 }
 
 uint16_t
-VhtPhy::GetUsableSubcarriers(uint16_t channelWidth)
+VhtPhy::GetUsableSubcarriers(MHz_u channelWidth)
 {
-    switch (channelWidth)
+    switch (static_cast<uint16_t>(channelWidth))
     {
     case 80:
         return 234;
@@ -487,8 +477,8 @@
 uint64_t
 VhtPhy::GetNonHtReferenceRate(uint8_t mcsValue)
 {
-    WifiCodeRate codeRate = GetCodeRate(mcsValue);
-    uint16_t constellationSize = GetConstellationSize(mcsValue);
+    const auto codeRate = GetCodeRate(mcsValue);
+    const auto constellationSize = GetConstellationSize(mcsValue);
     return CalculateNonHtReferenceRate(codeRate, constellationSize);
 }
 
@@ -524,7 +514,7 @@
 }
 
 bool
-VhtPhy::IsCombinationAllowed(uint8_t mcsValue, uint16_t channelWidth, uint8_t nss)
+VhtPhy::IsCombinationAllowed(uint8_t mcsValue, MHz_u channelWidth, uint8_t nss)
 {
     if (mcsValue == 9 && channelWidth == 20 && nss != 3)
     {
@@ -543,12 +533,12 @@
     return 4692480;
 }
 
-double
+dBm_u
 VhtPhy::GetCcaThreshold(const Ptr<const WifiPpdu> ppdu, WifiChannelListType channelType) const
 {
     if (ppdu)
     {
-        const uint16_t ppduBw = ppdu->GetTxVector().GetChannelWidth();
+        const auto ppduBw = ppdu->GetTxVector().GetChannelWidth();
         switch (channelType)
         {
         case WIFI_CHANLIST_PRIMARY: {
@@ -577,8 +567,8 @@
     }
     else
     {
-        const auto it = channelTypeToScalingFactorDbm.find(channelType);
-        NS_ASSERT_MSG(it != std::end(channelTypeToScalingFactorDbm), "Invalid channel list type");
+        const auto it = channelTypeToScalingFactor.find(channelType);
+        NS_ASSERT_MSG(it != std::end(channelTypeToScalingFactor), "Invalid channel list type");
         return m_wifiPhy->GetCcaEdThreshold() + it->second;
     }
 }
@@ -591,8 +581,8 @@
         return HtPhy::GetCcaIndication(ppdu);
     }
 
-    double ccaThresholdDbm = GetCcaThreshold(ppdu, WIFI_CHANLIST_PRIMARY);
-    Time delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThresholdDbm, GetPrimaryBand(20));
+    auto ccaThreshold = GetCcaThreshold(ppdu, WIFI_CHANLIST_PRIMARY);
+    auto delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThreshold, GetPrimaryBand(20));
     if (delayUntilCcaEnd.IsStrictlyPositive())
     {
         return std::make_pair(
@@ -602,11 +592,11 @@
 
     if (ppdu)
     {
-        const uint16_t primaryWidth = 20;
-        uint16_t p20MinFreq =
+        const MHz_u primaryWidth = 20;
+        const MHz_u p20MinFreq =
             m_wifiPhy->GetOperatingChannel().GetPrimaryChannelCenterFrequency(primaryWidth) -
             (primaryWidth / 2);
-        uint16_t p20MaxFreq =
+        const MHz_u p20MaxFreq =
             m_wifiPhy->GetOperatingChannel().GetPrimaryChannelCenterFrequency(primaryWidth) +
             (primaryWidth / 2);
         if (ppdu->DoesOverlapChannel(p20MinFreq, p20MaxFreq))
@@ -619,17 +609,17 @@
         }
     }
 
-    std::vector<uint16_t> secondaryWidthsToCheck;
+    std::vector<MHz_u> secondaryWidthsToCheck;
     if (ppdu)
     {
         for (const auto& secondaryChannel : secondaryChannels)
         {
-            uint16_t secondaryWidth = secondaryChannel.first;
-            uint16_t secondaryMinFreq =
+            const auto secondaryWidth = secondaryChannel.first;
+            const MHz_u secondaryMinFreq =
                 m_wifiPhy->GetOperatingChannel().GetSecondaryChannelCenterFrequency(
                     secondaryWidth) -
                 (secondaryWidth / 2);
-            uint16_t secondaryMaxFreq =
+            const MHz_u secondaryMaxFreq =
                 m_wifiPhy->GetOperatingChannel().GetSecondaryChannelCenterFrequency(
                     secondaryWidth) +
                 (secondaryWidth / 2);
@@ -653,8 +643,8 @@
     for (auto secondaryWidth : secondaryWidthsToCheck)
     {
         auto channelType = secondaryChannels.at(secondaryWidth);
-        ccaThresholdDbm = GetCcaThreshold(ppdu, channelType);
-        delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThresholdDbm, GetSecondaryBand(secondaryWidth));
+        ccaThreshold = GetCcaThreshold(ppdu, channelType);
+        delayUntilCcaEnd = GetDelayUntilCcaEnd(ccaThreshold, GetSecondaryBand(secondaryWidth));
         if (delayUntilCcaEnd.IsStrictlyPositive())
         {
             return std::make_pair(delayUntilCcaEnd, channelType);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/vht/vht-phy.h ns-3.43/src/wifi/model/vht/vht-phy.h
--- ns-3.42/src/wifi/model/vht/vht-phy.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/vht/vht-phy.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Orange Labs
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Rediet <getachew.redieteab@orange.com>
  *          Sébastien Deronne <sebastien.deronne@gmail.com> (for logic ported from wifi-phy)
@@ -70,8 +59,8 @@
     Ptr<WifiPpdu> BuildPpdu(const WifiConstPsduMap& psdus,
                             const WifiTxVector& txVector,
                             Time ppduDuration) override;
-    double GetCcaThreshold(const Ptr<const WifiPpdu> ppdu,
-                           WifiChannelListType channelType) const override;
+    dBm_u GetCcaThreshold(const Ptr<const WifiPpdu> ppdu,
+                          WifiChannelListType channelType) const override;
 
     /**
      * \return the WifiMode used for the SIG-A field
@@ -195,15 +184,15 @@
      * and is mainly used as a callback for WifiMode operation.
      *
      * \param mcsValue the VHT MCS index
-     * \param channelWidth the considered channel width in MHz
-     * \param guardInterval the considered guard interval duration in nanoseconds
+     * \param channelWidth the considered channel width
+     * \param guardInterval the considered guard interval duration
      * \param nss the considered number of stream
      *
      * \return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRate(uint8_t mcsValue,
-                               uint16_t channelWidth,
-                               uint16_t guardInterval,
+                               MHz_u channelWidth,
+                               Time guardInterval,
                                uint8_t nss);
     /**
      * Return the PHY rate corresponding to
@@ -234,14 +223,14 @@
      * streams.
      *
      * \param mcsValue the MCS index
-     * \param channelWidth the channel width in MHz
-     * \param guardInterval the guard interval duration in nanoseconds
+     * \param channelWidth the channel width
+     * \param guardInterval the guard interval duration
      * \param nss the number of spatial streams
      * \return the data bit rate in bps.
      */
     static uint64_t GetDataRate(uint8_t mcsValue,
-                                uint16_t channelWidth,
-                                uint16_t guardInterval,
+                                MHz_u channelWidth,
+                                Time guardInterval,
                                 uint8_t nss);
     /**
      * Calculate the rate in bps of the non-HT Reference Rate corresponding
@@ -257,11 +246,11 @@
      * This function is used as a callback for WifiMode operation.
      *
      * \param mcsValue the considered MCS index
-     * \param channelWidth the considered channel width in MHz
+     * \param channelWidth the considered channel width
      * \param nss the considered number of streams
      * \returns true if this <MCS, channel width, NSS> combination is allowed, false otherwise.
      */
-    static bool IsCombinationAllowed(uint8_t mcsValue, uint16_t channelWidth, uint8_t nss);
+    static bool IsCombinationAllowed(uint8_t mcsValue, MHz_u channelWidth, uint8_t nss);
     /**
      * Check whether the combination in TXVECTOR is allowed.
      * This function is used as a callback for WifiMode operation.
@@ -330,10 +319,10 @@
      */
     static uint64_t CalculateNonHtReferenceRate(WifiCodeRate codeRate, uint16_t constellationSize);
     /**
-     * \param channelWidth the channel width in MHz
+     * \param channelWidth the channel width
      * \return he number of usable subcarriers for data
      */
-    static uint16_t GetUsableSubcarriers(uint16_t channelWidth);
+    static uint16_t GetUsableSubcarriers(MHz_u channelWidth);
 
   private:
     void BuildModeList() override;
@@ -352,7 +341,7 @@
      * Typedef for storing exceptions in the number of BCC encoders for VHT MCSs
      */
     typedef std::map<
-        std::tuple<uint16_t /* channelWidth in MHz */, uint8_t /* Nss */, uint8_t /* MCS index */>,
+        std::tuple<MHz_u /* channelWidth */, uint8_t /* Nss */, uint8_t /* MCS index */>,
         uint8_t /* Nes */>
         NesExceptionMap;
     static const NesExceptionMap m_exceptionsMap; //!< exception map for number of BCC encoders
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/vht/vht-ppdu.cc ns-3.43/src/wifi/model/vht/vht-ppdu.cc
--- ns-3.42/src/wifi/model/vht/vht-ppdu.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/vht/vht-ppdu.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Orange Labs
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Rediet <getachew.redieteab@orange.com>
  *         Muhammad Iqbal Rochman <muhiqbalcr@uchicago.edu>
@@ -73,13 +62,14 @@
 {
     vhtSig.SetMuFlag(m_preamble == WIFI_PREAMBLE_VHT_MU);
     vhtSig.SetChannelWidth(txVector.GetChannelWidth());
-    vhtSig.SetShortGuardInterval(txVector.GetGuardInterval() == 400);
+    const auto sgi = txVector.GetGuardInterval().GetNanoSeconds() == 400;
+    vhtSig.SetShortGuardInterval(sgi);
     uint32_t nSymbols =
         (static_cast<double>(
              (ppduDuration - WifiPhy::CalculatePhyPreambleAndHeaderDuration(txVector))
                  .GetNanoSeconds()) /
-         (3200 + txVector.GetGuardInterval()));
-    if (txVector.GetGuardInterval() == 400)
+         (3200 + txVector.GetGuardInterval().GetNanoSeconds()));
+    if (sgi)
     {
         vhtSig.SetShortGuardIntervalDisambiguation((nSymbols % 10) == 9);
     }
@@ -104,7 +94,7 @@
     txVector.SetMode(VhtPhy::GetVhtMcs(vhtSig.GetSuMcs()));
     txVector.SetChannelWidth(vhtSig.GetChannelWidth());
     txVector.SetNss(vhtSig.GetNStreams());
-    txVector.SetGuardInterval(vhtSig.GetShortGuardInterval() ? 400 : 800);
+    txVector.SetGuardInterval(NanoSeconds(vhtSig.GetShortGuardInterval() ? 400 : 800));
     txVector.SetAggregation(GetPsdu()->IsAggregate());
 }
 
@@ -115,7 +105,7 @@
     const auto length = m_lSig.GetLength();
     const auto sgi = m_vhtSig.GetShortGuardInterval();
     const auto sgiDisambiguation = m_vhtSig.GetShortGuardIntervalDisambiguation();
-    const auto tSymbol = NanoSeconds(3200 + txVector.GetGuardInterval());
+    const auto tSymbol = NanoSeconds(3200) + txVector.GetGuardInterval();
     const auto preambleDuration = WifiPhy::CalculatePhyPreambleAndHeaderDuration(txVector);
     const auto calculatedDuration =
         MicroSeconds(((ceil(static_cast<double>(length + 3) / 3)) * 4) + 20);
@@ -158,7 +148,7 @@
 }
 
 void
-VhtPpdu::VhtSigHeader::SetChannelWidth(uint16_t channelWidth)
+VhtPpdu::VhtSigHeader::SetChannelWidth(MHz_u channelWidth)
 {
     if (channelWidth == 160)
     {
@@ -178,7 +168,7 @@
     }
 }
 
-uint16_t
+MHz_u
 VhtPpdu::VhtSigHeader::GetChannelWidth() const
 {
     if (m_bw == 3)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/vht/vht-ppdu.h ns-3.43/src/wifi/model/vht/vht-ppdu.h
--- ns-3.42/src/wifi/model/vht/vht-ppdu.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/vht/vht-ppdu.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Orange Labs
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Rediet <getachew.redieteab@orange.com>
  *         Muhammad Iqbal Rochman <muhiqbalcr@uchicago.edu>
@@ -62,17 +51,17 @@
         void SetMuFlag(bool mu);
 
         /**
-         * Fill the channel width field of VHT-SIG-A1 (in MHz).
+         * Fill the channel width field of VHT-SIG-A1.
          *
-         * \param channelWidth the channel width (in MHz)
+         * \param channelWidth the channel width
          */
-        void SetChannelWidth(uint16_t channelWidth);
+        void SetChannelWidth(MHz_u channelWidth);
         /**
-         * Return the channel width (in MHz).
+         * Return the channel width.
          *
-         * \return the channel width (in MHz)
+         * \return the channel width
          */
-        uint16_t GetChannelWidth() const;
+        MHz_u GetChannelWidth() const;
         /**
          * Fill the number of streams field of VHT-SIG-A1.
          *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-ack-manager.cc ns-3.43/src/wifi/model/wifi-ack-manager.cc
--- ns-3.42/src/wifi/model/wifi-ack-manager.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-ack-manager.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-ack-manager.h ns-3.43/src/wifi/model/wifi-ack-manager.h
--- ns-3.42/src/wifi/model/wifi-ack-manager.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-ack-manager.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-acknowledgment.cc ns-3.43/src/wifi/model/wifi-acknowledgment.cc
--- ns-3.42/src/wifi/model/wifi-acknowledgment.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-acknowledgment.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-acknowledgment.h ns-3.43/src/wifi/model/wifi-acknowledgment.h
--- ns-3.42/src/wifi/model/wifi-acknowledgment.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-acknowledgment.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-assoc-manager.cc ns-3.43/src/wifi/model/wifi-assoc-manager.cc
--- ns-3.42/src/wifi/model/wifi-assoc-manager.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-assoc-manager.cc	2024-10-09 16:41:10.128656900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
 
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-assoc-manager.h ns-3.43/src/wifi/model/wifi-assoc-manager.h
--- ns-3.42/src/wifi/model/wifi-assoc-manager.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-assoc-manager.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
